#!C:\Python24\python.exe
# -*- coding: UTF-8 -*-

'''
$RCSfile: system.py,v $
$Revision: 400 $
$Author: markus $
$Date: 2005-10-19 17:24:36 +0200 (Wed, 19 Oct 2005) $
The BioCASE querytool
'''

import os, sys
# ***** include the biocase.lib directory in the python sys path for importing *****
execfile( os.path.abspath( os.path.join( os.path.dirname( __file__ ), os.pardir, os.pardir, 'lib', 'biocase', 'adjustpath.py' ) ))

from biocase.configtool.general import *
from biocase.tools.various_functions  import writeConfiguration
import biocase.datasources
import string


def replNone(x, replace_string=''):
    if x is None:
        return replace_string
    else:
        return x
        
############################################################################################################
#
#   MAIN
#
#===========================================================================================================

# check authentication!
MD5Passwd = authenticate(MD5Passwd, clearPasswd, dsa)
if not MD5Passwd:
    authenticationForm(script='system.cgi', dsa=None)

#
# PROCESS FORMS
#
if action == 'dsa_create':
    # create a new DSA
    biocase.datasources.createDsa( form.getfirst('dsa_name_new', None), cfg, debug )
elif action == 'dsa_delete':
    # delete a DSA
    pass
elif action == 'cfg_update':
    # update the global .configuration file
    writeConfiguration(fn=os.path.join(cfg.configurationLocator,'.configuration'), host=form.getfirst('domain', 'http://localhost'), webroot=form.getfirst('baseurl', '/biocase'))
    writeConfiguration(fn=os.path.join(cfg.configurationLocator,'configtool','.configuration'), adminPasswd=form.getfirst('admin_pwd', 'ACDC'), graphviz_dot=form.getfirst('graphviz_dot', None))
    # reload cfg
    import biocase.configuration
    cfg = biocase.configuration.Cfg('configtool')
    




#
# CREATE OUTPUT VIA TEMPLATE
#

# load html template
tmpl = PageMacro('Content', PageMacro.DELMODE)
tmpl.load('Content', os.path.join(templateDir, '_system.html'))

# general stuff
tmpl['id'] = MD5Passwd

# webserver config
tmpl['domain'] = cfg.host
tmpl['baseurl'] = cfg.webroot
tmpl['admin_pwd'] = cfg.configtool.adminPassword
tmpl['graphviz_dot'] = cfg.configtool.graphviz_dot


# DATASOURCES
dsaObjList  = biocase.datasources.getDsaList()
dsaTmplList = [{'dsa':dsaObj.name, 'schemas':string.join( dsaObj.getSchemaNameList(), '<br>'), 'dsa_passwd':replNone(dsaObj.getPSFObj().adminpassword, '') } for dsaObj in dsaObjList]
tmpl.expand('Content', 'datasourcelist', dsaTmplList)



#
# print HTML !
#
printOverHTTP( tmpl, debug, diagnostics )